package com.prolog.cs.biz.outbound.service;

import com.prolog.cs.biz.outbound.model.WmsFaceOrderConvert;
import com.prolog.cs.biz.outbound.model.dto.RePrintBulkDto;
import com.prolog.cs.biz.outbound.model.dto.print.PrintAllVO;

import java.util.List;
import java.util.Map;

public interface FaceOrderService {

    void faceCancel(List<String> wayBillIds, boolean flag);


    Map<String, Object> convertCarrier(WmsFaceOrderConvert wmsFaceOrderConvert);

    void cancelByBillno(String billno);

    //Page<PageCarrierVO> pageCarrier(PageCarrierVO pageCarrierVO);

    void clearByBillno(String billno);
}